List meter-level intervals

Lists all meter energy data in the given date range. Aggregation is not possible through this endpoint. Use the other endpoints instead for aggregation options. Data is gap-filled - in case a utility doesn't send Leap some of the interval data, we predict it based on past data. You can request up to 1000000 data points at once. In case you hit this limit, the API will return a 400 response code. This can be solved either by reducing the amount of days or the amount of meters you're requesting data for.

Body Params
date-time
required

ISO-8601 timestamp of the first date to include in the results. This timestamp is inclusive, as opposed to date_range_end, which is exclusive. If an interval starts in the given date/time range, it will be included in the results. Note that there is a maximum of 31 days between date_range_start and date_range_end as the response might otherwise become too large.

date-time
required

ISO-8601 timestamp of the last date to include in the results. This timestamp is exclusive, as opposed to date_range_start, which is inclusive. If an interval starts in the given date/time range, it will be included in the results. Note that there is a maximum of 31 days between date_range_start and date_range_end as the response might otherwise become too large.

meter_ids
array of objects
required

List of meters to get data for.

meter_ids*
string
enum
Defaults to INTERVAL_15MIN

Interval of the data. Leap supports INTERVAL_15MIN and INTERVAL_1HR for now and we default to INTERVAL_15MIN. For 1-hour intervals, we roll up 15-min intervals and average the wh values. If we don't have exactly 4 15-min intervals to roll up into an hour worth of data, we simply ignore that entire hour.

Allowed:
Responses

400

Returns 400 if the request is invalid. The response body will contain a detailed error message.

429

Returns 429 if the request is rate limited. The response body will contain a detailed error message.

Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json